<?php

session_start() ;
if(!session_is_registered("login_true_admin")) {
echo "<meta http-equiv='refresh' content='0;url=index.php'>" ;
exit() ;
}
// กำหนด วันเวลา ปัจจุบัน ที่ต้องส่งเมล์
$date = date("j") ;
$month = date("n") ;

if(isset($click)and $click=="click") {
include("function.php") ;
}
else {
echo "<meta http-equiv='refresh' content='0; url=mail_member.php'>" ;
exit() ;
}


if(isset($sendmail)) { // ถ้าส่งเมล์
$result = mysql_query("select * from mail") ;
$row = mysql_num_rows($result) ;
if($row == 0) { // ตรวจสอบว่ามีข้อความหรือยัง ถ้าไม่มีให้กรอกบันทึกลงฐานข้อมูล
echo "<br><center><font size='3' face='MS Sans Serif'>กรุณากรอกข้อความที่ต้องการส่งก่อนครับ เพราะขณะนี้ยังไม่มีข้อความอยู่ในฐานข้อมูล</font><br><br></center>" ;
form_edit() ; // แสดงฟอร์มจากฟังก์ชั่น
}
else {
if(empty($edit) and isset($sendmail)) {
sendmail($admin_email) ;
}
}
}

if(isset($edit)) {
echo "<br><center><font size='3' face='MS Sans Serif'>กรุณาบันทึกข้อความของท่านลงสู่ฐานข้อมูล</font></center><br><br>" ;
form_edit() ;
}

// ถ้าบันทึกข้อความ 
if(isset($subject) and isset($message)) {
checkmessage($subject,$message) ;
}

// ถ้าส่งเมล์หาสมาชิกทั้งหมด
if(isset($subject_total) and isset($message_total)) {
sendmail_total($subject_total,$message_total,$admin_email) ;
}

?>
<html>
<head>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-874">
<style type="text/css">
<!--
body,td,th {
	color: #FFCC00;
}
body {
	background-color: #000000;
}
a:link {
	color: #FFFFCC;
}
a:visited {
	color: #FFFFCC;
}
a:hover {
	color: #FFFF66;
}
a:active {
	color: #FFFF66;
}
-->
</style></head>

<body>

</body>
</html>
